Subject: [bug#50793] [PATCH 1/2] gnu: Add JSON.sh

From: Stephen Paul Weber <[email-masked]>
Date: Sat, 25 Sep 2021 20:08:27 -0500

>> +(define-public JSON.sh
>> +  (package
>> +    (name "JSON.sh")
>
>I can't find a rule for this per se, but it's convention that package
>names to be lowercase (and for the variable name to match).

Ok. Should I keep the . for "json.sh" or go with "jsonsh" ?  Should I change the
script/command name to match?

>> +    (version "0d5e5c7")
>
>Since this isn't a tagged version, this should follow the 'git-version'
>pattern (search for usages of 'git-version' for examples).

Will do.

>> +         (add-before 'install 'check
>> +           (lambda _
>> +             (invoke "./all-tests.sh")
>> +             #t))
>
>Check phases should respect #:tests?, like so:
>
>  (lambda* (#:key tests? #:allow-other-keys)
>    (when tests?
>      [...]))

Ok

>> +                         '("grep" "coreutils"))
>
>Does this script actually use coreutils?

It uses printf

> On the other hand, it looks >like it does use gawk

gawk is only used if egrep is not present

> and sed.

Missed this, will add.